# Copyright 2005 Pablo Yanez Trujillo <yanezp@informatik.uni-freiburg.de>
# Distributed under the terms of the GNU General Public License v2
# $Header 

# put it inside of $PORTAGE_OVERLAY/app-cdr/aof-db

inherit eutils
DESCRIPTION="AOF Database manager"
HOMEPAGE="http://klingsor.informatik.uni-freiburg.de/projects/aof-db/"
SRC_URI="http://klingsor.informatik.uni-freiburg.de/projects/aof-db/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86" #I did't tested it on other architectures, I think it works on
#other arc. well
IUSE=""

DEPEND="virtual/libc 
		>=sys-libs/sstrings-1.0.4
		>=dev-db/sqlite-3.2.1
		>=sys-libs/readline-5.0"
RDEPEND="virtual/libc"

src_unpack() {
	unpack "${A}"
	cd "${S}"/src

	epatch "${FILESDIR}/dvdisosupport.patch"
	epatch "${FILESDIR}/dbcheck.patch"
	epatch "${FILESDIR}/addlanguage.patch"

	cd "${S}"/doc
	epatch "${FILESDIR}/lang_man.patch"
}

src_compile() {
	econf || die "could not configure"
	emake || die "emake failed"
}

src_install() {
	make DESTDIR="${D}" install || die
	dodoc AUTHORS README TODO COPYING ChangeLog
}
