# Copyright 2005 Pablo Yanez Trujillo <yanezp@informatik.uni-freiburg.de>
# Distributed under the terms of the GNU General Public License v2
# $Header 

# put it inside of $PORTAGE_OVERLAY/app-cdr/aof-db

inherit eutils

DESCRIPTION="AOF Database manager"
HOMEPAGE="http://klingsor.informatik.uni-freiburg.de/projects/aof-db/"
SRC_URI="http://klingsor.informatik.uni-freiburg.de/projects/aof-db/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86" #I did't tested it on other architectures, I think it works on
#other arc. well
IUSE=""

DEPEND="virtual/libc 
		>=sys-libs/sstrings-1.0.4
		>=dev-db/sqlite-3.2.1
		>=sys-libs/readline-5.0"
RDEPEND="virtual/libc"

src_compile() {
	econf || die "could not configure"
	emake || die "emake failed"
}

src_install() {
	make DESTDIR="${D}" install || die

	exeinto "/etc/init.d"
	newexe "${FILESDIR}/aofserv.init" "aofserv"

	dodoc AUTHORS README TODO COPYING ChangeLog
}

pkg_postinst()
{
	einfo "Now aof-db comes with a tcp server for communication between the"
	einfo "SQLite database and some client that needs information about the"
	einfo "images saved in the database."
	einfo "The server listens TCP connection on port 900. Please note that"
	einfo "the port cannot be reconfigured!"
	einfo "execute rc-update add aofserv default if you want that aofserv"
	einfo "starts automatically when booting the machine."
}
